## imlib 1.3-3

=== debian/changelog ===
imlib (1.3-3) frozen unstable; urgency=low

  * left save.c out of the libs -- oops (-:

 -- Sean E. Perry <shaleh@debian.org>  Thu,  7 May 1998 20:40:00 -0400

imlib (1.3-2) unstable; urgency=low

  * Fixed shlibs --- again
  * Moved the non-free sections to contrib, I had misunderstood the distinction

 -- Sean E. Perry <shaleh@debian.org>  Sun, 26 Apr 1998 18:31:26 -0400

imlib (1.3-1) frozen unstable; urgency=low

  * removed the ugly alloca() (-:
  * new upstream release

 -- Sean E. Perry <shaleh@debian.org>  Thu, 23 Apr 1998 02:05:06 -0400

imlib (1.2-2) frozen unstable; urgency=low

  * Fixed the soname so it will not force any more recompiles

 -- Sean E. Perry <shaleh@debian.org>  Wed, 22 Apr 1998 02:46:06 -0400

imlib (1.2-1) frozen unstable; urgency=low

  * New upstream version

 -- Sean E. Perry <shaleh@debian.org>  Mon, 20 Apr 1998 21:12:18 -0400

imlib (1.1-6) frozen unstable; urgency=low

  * re-uploaded to make it into frozen
  * Fixed the lib.so.x symlinks -- now in -dev where they belong

 -- Sean E. Perry <shaleh@debian.org>  Wed, 15 Apr 1998 00:39:21 -0400

imlib (1.1-5) frozen unstable; urgency=low

  * Compiled against libpng0 because the apps that use imlib expect this

 -- Sean E. Perry <shaleh@debian.org>  Tue, 14 Apr 1998 02:05:54 -0400

imlib (1.1-4) frozen unstable; urgency=low

  * Fixed a shlibs problem/bug where the soname was not set
  * Fixed libs having exec perms

 -- Sean E. Perry <shaleh@debian.org>  Tue, 24 Mar 1998 23:08:57 -0500

imlib (1.1-3) frozen unstable; urgency=low

  * A few package bugfixes, should be happier

 -- Sean E. Perry <shaleh@debian.org>  Tue, 24 Mar 1998 23:08:29 -0500

imlib (1.1-2) frozen unstable; urgency=low

  * Official maintainer release

 -- Sean E. Perry <shaleh@debian.org>  Tue, 24 Mar 1998 23:07:29 -0500

imlib (1.1-1) unstable; urgency=low

  * Initial Release (Non-maintainer release until the maintainer has time
    to do it himself.

 -- Luis Francisco Gonzalez <luisgh@debian.org>  Thu, 12 Mar 1998 01:57:34 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "shaleh@debian.org"
End:
