=== debian/control ===
Source: imlib
Section: graphics
Priority: optional
Maintainer: Sean E. Perry <shaleh@debian.org>
Standards-Version: 2.4.0.0

Package: imlib-base
Architecture: all
Conflicts: gdkimlib0, gdkimlib1
Replaces: gdkimlib0, gdkimlib1
Depends:
Recommends: imlib1 | imlib-nonfree1 | gdk-imlib1 | gdk-imlib-nonfree1
Description: Library that allows one to display images
 Base files used by all Imlib packages

Package: imlib1
Architecture: any
Depends: imlib-base, imagemagick, ${shlibs:Depends}
Provides: imlib
Conflicts: imlib-nonfre1
Replaces: imlib-nonfree1
Description: Imlib is an image library for X
 Imlib is a low-level Xlib interface for X programmers.  It is an image library
 that aids graphics programs in X.

Package: imlib-dev
Architecture: any
Depends: imlib, imlib-base, ${shlibs:Depends}
Provides: imlib-development
Replaces: imlib-nonfree-dev
Conflicts: imlib-nonfree-dev
Description: necessary headers for Imlib development
 Headers and static lib so that X developers can use imlib.

Package: imlib-nonfree1
Architecture: any
Section: contrib/graphics
Depends: imlib-base, ${shlibs:Depends}
Provides: imlib
Replaces: imlib1
Conflicts: imlib1
Description: Imlib is an image library for X
 Imlib is a low-level Xlib interface for X programmers.  It is an image library
 that aids graphics programs in X.  It uses the non-free giflib.

Package: imlib-nonfree-dev
Architecture: any
Section: contrib/graphics
Depends: imlib, imlib-base, ${shlibs:Depends}
Provides: imlib-development
Replaces: imlib-dev
Conflicts: imlib-dev
Description:  necessary headers for Imlib development, linked with giflib
 Headers and static lib so that X developers can use Imlib.
