## imlib 1.9.15

=== debian/changelog ===
imlib (1.9.15-23ubuntu25.10.0+10) questing; urgency=low

  * Remove remaining 'register' instruction.

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Apr 2024 13:44:31 +0200

imlib (1.9.15-23debian13.0.0+9~a) trixie; urgency=low

  * Added detection of availability GNU variant of the basename.

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 17:10:27 +0200

imlib (1.9.15-23debian11.0.0+8~a) bullseye; urgency=low

  * Change debhelper compatibility level to 9

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 07 Apr 2020 12:33:21 +0200

imlib (1.9.15-23ubuntu20.04.0+7~a) focal; urgency=low

  * Fix potential buffer overflow

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 30 Sep 2016 12:32:52 +0100

imlib (1.9.15-23ubuntu16.10.0+6) yakkety; urgency=low

  * Change debhelper compatibility level to 7
  * Add build-arch and build-indep targets to debian/rules

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Aug 2016 18:53:28 +0200

imlib (1.9.15-23ubuntu16.10.0+5~a) yakkety; urgency=low

  * Use a generic name for libpng-dev dependency

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 18 Apr 2016 18:00:36 +0200

imlib (1.9.15-23ubuntu16.04.0+4) xenial; urgency=low

  * Fix FTBFS due to move libtool ltmain.sh
    from /usr/share/libtool/config into /usr/share/libtool/build-aux

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Feb 2016 03:30:03 +0100

imlib (1.9.15-23ubuntu16.04.0+3~a) xenial; urgency=low

  * giflib
    + fix build with giflib 5.1

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 19 Dec 2015 18:06:03 +0100

imlib (1.9.15-23ubuntu16.04.0+2~b) xenial; urgency=low

  * giflib
    + fix build with giflib 4.2
    + fix build with giflib 5.0
  * png
    + fix build with png 1.5
    + fix build with png 1.6

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 21 Jun 2015 20:48:20 +0200

imlib (1.9.15-23ubuntu15.10.0+1~a) wily; urgency=low

  * disable gtk configure check
  * debian/control:
    + add automake and libtool dependency
    + remove libgtk2.0-dev dependency
  * debian/rules:
    + update ltmain.sh at build time
    + use autoreconf instead of autoconf

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 07 Mar 2015 18:06:03 +0100

imlib (1.9.15-23ubuntu14.04.0+0) trusty; urgency=low

  * debian/rules: update config.{guess,sub} at build time

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 13 Jan 2015 20:14:40 +0100

imlib (1.9.15-22ubuntu15.04.0+0~a) vivid; urgency=low

  * Prefer to link libgif instead of obsolete name libungif

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 04 Jan 2014 12:34:56 +0100

imlib (1.9.15-21debian6.0.0+0) squeeze; urgency=low

  * Switch to quilt format

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Aug 2013 18:18:18 +0200

imlib (1.9.15-16) wheezy; urgency=low

  * Wheezy rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 13 Dec 2011 14:37:00 -0600

imlib (1.9.15-13) maverick; urgency=low

  * Maverick rebuild
  * Remove broken GDK packages; they are not needed for KDE3/Trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 09 Jan 2009 22:26:00 -0600

imlib (1.9.15-8) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

imlib (1.9.15-7) unstable; urgency=medium

  * QA upload.
  * Fix bashism in debian/rules (Closes: #478405)
  * Move to quilt patch system
    - Move debian/*.{patch,diff} to debian/patches
    - Add applied patches to debian/patches/series
    - Add Build-Depends on quilt
  * Delete debian/.cvsignore
  * Cosmetic changes to debian/rules

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 17 May 2008 23:28:16 +0100

imlib (1.9.15-6) unstable; urgency=low

  * QA upload.
  * If max bpp > 24 force to 24. (Closes: #445914).
    + Thanks to Timo Jyrinki for the patch.
  * Add back in @GTK_CONFIG@ --cflags for --cflags-gdk. (Closes: #458881).
  * Change libungif4-dev debp/build-dep to libgif-dev.
  * Update --x-includes and --x-libraries options in configure.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standars Version to 3.7.3. (No changes needed).

 -- Barry deFreese <bddebian@comcast.net>  Sun, 03 Feb 2008 17:11:05 -0500

imlib (1.9.15-5) unstable; urgency=low

  * QA upload
  * Remove ancient suggests (Closes: 441371)
  * Purge loads of unneeded stuff in imlib-config output (Closes: 375807)
  * Fix m4 file (Closes: 294120)

 -- Sune Vuorela <debian@pusling.com>  Thu, 06 Dec 2007 14:00:10 +0000

imlib (1.9.15-4) unstable; urgency=low

  * QA upload.

  [ Michel Dänzer ]
  * Fix incorrect rendering when the MIT-SHM extension doesn't support shared
    pixmaps, e.g. using EXA with current versions of Xorg:
    + the boolean value returned via the last parameter to XShmQueryVersion()
      isn't honoured everywhere
    + the init functions that take parameters allow the caller to enable
      shared pixmaps when they aren't supported (or disabled by configuration
      files)
    Closes: #448360.

 -- Julien Cristau <jcristau@debian.org>  Mon, 03 Dec 2007 14:55:26 +0100

imlib (1.9.15-3) unstable; urgency=high

  * QA upload by the testing security team
  * Include patch (bpp16-CVE-2007-3568.patch) to fix a DoS caused via a
    BMP image with a Bits Per Page (BPP) value of 0 (Closes: #437708)
    Fixes: CVE-2007-3568
    Thanks to Luciano Bello for forwarding the patch

 -- Steffen Joeris <white@debian.org>  Tue, 14 Aug 2007 11:13:36 +0000

imlib (1.9.15-2) unstable; urgency=low

  * QA upload.
  * Fix the upstream sonames for consistency with previous, compatible
    versions
  * Relibtoolize with unstable Debian version of libtool instead of the
    experimental version, to restore the previous module loader behavior
  * Don't ignore errors from make distclean.

 -- Steve Langasek <vorlon@debian.org>  Sun, 22 Jul 2007 17:10:06 -0700

imlib (1.9.15-1) unstable; urgency=low

  * QA upload.
  * New upstream release from September 2004.
  * Bump to Standards-Version 3.7.2.
  * Change Source-Version substvars to binary:Version.


