=== debian/control ===
Source: imlib
Build-Depends: debhelper (>= 9~), quilt, automake, libtool, libglib2.0-dev, libjpeg-dev, libpng-dev, libtiff-dev, libgif-dev, zlib1g-dev, libx11-dev, libxext-dev, x11proto-core-dev, libsm-dev, libice-dev
Build-Conflicts: libpng2-dev
Section: deps-r14/graphics
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Standards-Version: 3.8.4

Package: imlib-base
Section: deps-r14/graphics
Architecture: all
Pre-Depends: dpkg (>= 1.6.8)
Conflicts: gdkimlib0, gdkimlib1, imlib-progs (<< 1.9.10-4), imlib-dev (<< 1.9.14-12), gdk-imlib-dev (<< 1.9.14-12)
Replaces:  gdkimlib0, gdkimlib1, imlib-progs (<< 1.9.10-4), imlib-dev (<< 1.9.14-12), gdk-imlib-dev (<< 1.9.14-12)
Recommends: imlib11
Description: Common files needed by the Imlib/Gdk-Imlib packages
 Configuration files used by all Imlib and Gdk-imlib packages.

Package: imlib11
Architecture: any
Section: deps-r14/oldlibs
Depends: imlib-base (>= 1.9.14-18), ${shlibs:Depends}
Provides: imlib
Description: Imlib is an imaging library for X and X11
 Imlib is a low-level Xlib interface for X programmers.  It allows easier
 access to many graphics formats and can write to them as well.

Package: imlib11-dev
Architecture: any
Section: deps-r14/libdevel
Depends: imlib-base (>= 1.9.14-18), imlib11 (= ${binary:Version}), libjpeg-dev, libpng-dev, libtiff-dev, libgif-dev, zlib1g-dev, libx11-dev, libxext-dev, x11proto-core-dev, libsm-dev, libice-dev
Provides: imlib-development
Conflicts: imlib-nonfree-dev, libimlib-nonfree-dev, libimlib-dev, imlib-dev
Replaces: imlib-nonfree-dev, libimlib-nonfree-dev, libimlib-dev, imlib-progs (<< 1.9.10-4), imlib-dev
Description: Imlib is an imaging library for X and X11
 Imlib is a low-level Xlib interface for X programmers.  It allows easier
 access to many graphics formats and can write to them as well.
 .
 This is the development package containing header files and link
 libraries for Imlib.
