=== debian/watch ===
version=3
ftp://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/imlib-(.*)\.tar\.gz
